Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 93 - ldd always reports "not a dynamic executable"
Summary: ldd always reports "not a dynamic executable"
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-16 17:15 UTC by niles
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-11-17 15:52:44 UTC


Attachments (Terms of Use)

Description niles 1998-11-16 17:15:17 UTC
I'm running glibc-2.0.7-29 (and friends), ld.so-1.9.5-8 &
ldconfig-1.9.5-8.  When I try to run "ldd" on anything
it always returns that's "not a dynamic executable".  That
is obviously not true for every file in /usr/bin.  The
program "file" reports shared programs correctly, and all
the (other) programs seem to run correctly.  What's going
on?  I really need the "ldd" working.  Perhaps, I missed
upgrading a package?  What could it be?

Comment 1 niles 1998-11-17 15:45:59 UTC
This is a known bug in linux 2.1.126.  It is apparently only present
for this one kernel release.   I'm running 2.1.128 now and it's
working fine.  Sorry about the false alarm.  Please mark this bug as
***FIXED***.

Comment 2 Preston Brown 1998-11-17 15:52:59 UTC
wasn't using a standard 5.2 kernel, so discarded.


Note You need to log in before you can comment on or make changes to this bug.